0
votes
0answers
11 views

Patch a package by adding new files to it?

I'm trying to patch an existing package, and my patch is supposed to change some files and add some files and directories to the package. All seems to work, the .patch file in debian/patches looks ...
0
votes
1answer
68 views

Problem in Installing Gnome 3.12

I tried to install Gnome 3.12 on my Ubuntu Gnome 14.04 (Gnome shell: 3.10) I did the following steps (from this tutorial): $ sudo add-apt-repository ppa:gnome3-team/gnome3 $ sudo add-apt-repository ...
2
votes
0answers
16 views

Add Package to Official Repository [duplicate]

I wrote a driver for a remote filesystem (mounts a Google Drive, similar to the way SSHFS mounts a remote server). It's super useful as an alternative to dropbox or ubuntuone. It is now getting ...
1
vote
0answers
28 views

Downgrade all external packages to the official ones

Let's say I installed bunch of packages from external PPA repositories and they modified or replaced the existing default packages in the system. Assume that then I remove those PPAs from the ...
1
vote
1answer
29 views

Difference between key (recv-keys), signing key, and fingerprint in APT/PPA system

Let's take https://launchpad.net/~ansible/+archive/ubuntu/ansible as an example. If you click on 'Technical details about this PPA' you see: Signing key: 4096R/7BB9C367 Fingerprint: ...
0
votes
1answer
73 views

Ubuntu on armhf: “using PPAs with apt-get source -b”?

In brief, the problem I seem to be having is that apt-get "ignores" whatever PPA I add. I assume that this is because the respective PPA's limit their debs to i386 and AMD64 builds. (I'm using armhf.) ...
1
vote
1answer
29 views

List installed packages that are no longer installable via repository?

This question is in reference to another question that has not been answered. When I upgraded Ubuntu, all my PPAs were removed (which I'm ok with). Is there a way to list all the packages that no ...
1
vote
2answers
90 views

Apt Upgrade AND Downgrade all packages to Current Release

I recently upgraded from Ubuntu 12.04 to 14.04. While using 12.04, I installed several packages via PPA's. Now that I've upgraded to 14.04, I've discovered that some of the PPA packages from 12.04 are ...
1
vote
1answer
39 views

libjansson repositories? [duplicate]

I'm trying to get the deb repository for libjansson4 which includes version 2.6-1, but when I go to this page here https://launchpad.net/ubuntu/utopic/amd64/libjansson-dev/2.6-1 I can't get the PPA ...
0
votes
1answer
34 views

Can 3rd-party package repositories be trusted? (Are there criteria to test if they're trustworthy?) [duplicate]

(Note: no disrespect whatever to the hard work people that people who run 3rd-party repositories put in.) I came across a package repository, a ppa, that was suggested for getting php5.5 on Ubuntu ...
0
votes
0answers
43 views

`apt` log files: is there a log for `apt-add-repository ppa:…`?

The apt command has the nice behavior to log all what you request it to do in /var/log/apt/history* file. This is quite handy, because in case of reinstall you can see which packages you have ...
3
votes
1answer
42 views

Install package from without adding PPA

Is there a way to install a package via a simple URL without having to add a PPA beforehand? Something like apt-get https://url.to.package.deb? Or perhaps some command line options that would add the ...
0
votes
1answer
23 views

Can I show the native Ubuntu package version of a program for that a never version is installed from a PPA?

So lets say I have a beta version of a program installed via PPA and want to know the version of the official version that ships with Ubuntu. The only way I know is going to the Ubuntu package search ...
1
vote
0answers
27 views

How can I see a list of new packages for my system

I run muon every few days to keep my system up to date. In the lower left corner, there is a number of available packages which keeps getting bigger! It makes me curious to see what they are. I would ...
0
votes
0answers
102 views

Unmet dependencies and broken packages

I use Ubuntu 12.04 on a 64-bit computer. When I try to install anything, the following happens: $ sudo apt-get install ia32-libs Leyendo lista de paquetes.0.. Hecho Creando árbol de dependencias ...
0
votes
1answer
48 views

I get the following errors when I try to install the Ubuntu SDK (ubuntu app development kit)

I use Ubuntu 12.04. I followed the steps given here . 1)When I try to execute the first step " sudo add-apt-repository ppa:ubuntu-sdk-team/ppa && sudo apt-get update && sudo apt-get ...
0
votes
2answers
65 views

How do I get a non-standard non-repo version of python under package management?

For any number of reasons, I need a python version that isn't in mainline repositories. Where should I look? In my particular case I want 3.4 alpha/beta, but where should I look for non-standard ...
0
votes
1answer
44 views

Which PPA to purge in resolving this 404 error in apt-get udpate?

$ sudo apt-get update is breaking and giving the following error: http://ppa.launchpad.net/joh/ppa/ubuntu/dists/saucy/main/binary-amd64/Packages I've tried looking at /etc/apt/sources.list but i ...
1
vote
0answers
46 views

Preventing other packages from being upgraded from PPA [duplicate]

On Gentoo Linux: If I wish to upgrade my Konsole progam which is available in an overlay named KDE all I have to do it is to add the overlay to my system layman -a kde At this point I can install ...
0
votes
1answer
111 views

Can a deb package contain a PPA dependency and install packages from the PPA?

When creating a .deb package I create a file named control that contains some fields: Package: my-qt-app-name Version: 0.01 Architecture: all Maintainer: my name <my email address> ...
1
vote
2answers
3k views

How to install the newest Mono?

I want to install the newest version of Mono on my Ubuntu 13.10 installation, but obviously it requires me to download a lot of packages from the Debian website, which is not ideal as it is hard to ...
1
vote
2answers
152 views

What determines PPA updates after new Ubuntu releases?

Before upgrading to Saucy, I had several PPAs installed. As usual, the upgrade process disabled the PPAs. Afterwards, I re-enabled the PPAs in Software Sources (making sure that the release was set to ...
-1
votes
1answer
263 views

HandBreak installtion fail

I just got Ubuntu the other day on my brand spanking new, yummy 8-core PC. Anyways, i was trying to get Handbrake to convert/compress my videos for file transfer. So I looked it up, and found the ...
2
votes
1answer
650 views

How can I undo adding a PPA and installing packages from it? [duplicate]

I was following a guide and did this: sudo add-apt-repository ppa:gwendal-lebihan-dev/cinnamon-stable sudo apt-get update sudo apt-get install cinnamon nemo Now I am having a lot of trouble ...
1
vote
0answers
105 views

Preventing apt-get from downloading other packages

I've recently installed Oracle JDK on my Ubuntu. Now when I download any package, apt-get first tries to download oracle-java8-installer. How can I stop it from doing that? Edit: Here's the output of ...
0
votes
1answer
94 views

“apt-get” ruined after a failed PPA addition. How do I fix this?

I was trying to xdman from the nooblabs PPA however something just went wrong now `apt-get is ruined. Here's what I get when I try to run the update manager: Also when I try to correct the error ...
0
votes
1answer
116 views

hgsubversion, mercurial (ppa): broken dependencies

I have installed mercurial from the PPA, then I wanted to install hgsubversion. That fails due to unmet dependencies. But they are met, as far as I understand. What am I missing here? jb@x60 ~ $ ...
1
vote
0answers
179 views

Package isn't found after adding PPA in apt-cache, why?

I am running 13.04. The system is new, just installed. I want to install package zeromq3 from PPA https://launchpad.net/~chris-lea/+archive/zeromq?field.series_filter=raring. I do: sudo ...
2
votes
1answer
794 views

apt-get update fails after upgrade

I just updated my Ubuntu from 12 to 13 doing: apt-get update ... apt-get upgrade Next time, I should probably simply use instead: apt-get dist-upgrade My current version now is: lsb_release -a ...
0
votes
2answers
107 views

Unable to upgrade to newest version of Ubunty from 12.10

Trying to upgrade to newest Ubuntu from 12.10. The update manager says failed to download repository information. Check your internet connection I checked my internet connection(s), and I'm ...
0
votes
1answer
40 views

I have a problem about updating in terminal [duplicate]

Here is the link, please help me what it means below: http://ppa.launchpad.net precise Release: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY ...
1
vote
0answers
188 views

/usr/lib/apt/methods/ppa could not be found

After using Ubuntu 12.10 for two weeks I ran into problems updating the package database. Running sudo apt-get update returns the following error: E: The method driver /usr/lib/apt/methods/ppa could ...
0
votes
3answers
78 views

Serious Installation Problem [duplicate]

I use ubuntu 12.04 LTS. It was all well. But suddenly from yesterday whenever I try to install something it shows: Reading package lists... Error! E: Encountered a section with no Package: header E: ...
1
vote
1answer
624 views

How do I fix “E:Type 'b-src' is not known on line 'X' in source list” error?

This is the error I'm getting from using sudo apt-get update E:Type 'b-src' is not known on line 2 in source list /etc/apt/sources.list.d/tiheum-equinox-precise.list How can I fix this?
3
votes
2answers
4k views

How to create a .deb package from compiled source files?

Question: Mono 3.0 is out, but I found no ppa from where I could install it. There is this one: https://launchpad.net/~directhex/+ppa-packages but it's mono 2.10.8.1-5. I'm playing with ASP.NET ...
0
votes
1answer
110 views

Can't update error E type libe 58

Can't open update manger,package manager or software center. The following code appears when I attempt to launch the above: Could not initialize the package information An unresolvable problem ...
1
vote
0answers
13 views

Limit which packages can be installed through a PPA [duplicate]

Possible Duplicate: How do I cherry pick packages from a PPA? Is it possible to add a PPA but limit what can be installed through it. Let us say there's a PPA with two packages and I'm ...
2
votes
3answers
121 views

To which PPA does a package belong to?

Is there a command which returns the ppa which was used to install a certain package? Some command that searches a package in the ppa's. I know that I could find this info out by looking into ...
1
vote
1answer
218 views

Delta-update Firefox Aurora package from PPA

I am using Firefox Aurora in my Ubuntu 12.04 which I have installed via its ppa (ppa:ubuntu-mozilla-daily/firefox-aurora). As expected of Aurora, I get an update usually after 2-3 days. I have Firefox ...
2
votes
2answers
143 views

How can I know the source ppa of an installed package?

I have a package (xserver-xorg-video-intel) from ppa sources. Since I have more than one ppa sources for this package in my package management I am not sure which one is the source. So I wonder if I ...
8
votes
3answers
2k views

How do I add/create a <source.changes> file?

I have created a package with Quickly and also i have uploaded it to a brach on launchpad, but how can i create a ppa for that program and upload to it? i'm really new to these stuff, i just learned ...
23
votes
5answers
1k views

Is there an “unofficial” software center with all the PPAs?

Many questions are answered simply with add this repository and install. I understand that Ubuntu developers cannot quickly verify all packages and make them available in official repositories. But ...
0
votes
1answer
467 views

How to recover broken dpkg after lucid-bleed ppa-purge?

Did a ppa-purge of lucid-bleed and dpkg didn't downgrade properly and now it is broken. dpkg: PreDepends: tar (>= 1.23) but 1.22-2ubuntu1 is to be installed What scares me is when simulating the ...
1
vote
1answer
3k views

Trouble installing gnome-shell-extensions-user-theme, dependency/PPA conflict?

I installed gnome tweak tool, and am trying to set up custom themes and whatnot. So, trying to install gnome-shell-extensions-user-theme. me@computer:~$ sudo apt-get install ...
2
votes
3answers
402 views

Prioritize PPA/repos with the same host

I'm using GIMP every day (on 11.10). Because of this, I need the Single-Window mode feature. So, I've added the matthaeus123/mrw-gimp-svn PPA, but as you see the description: GIMP 2.7.5 Will not ...
4
votes
2answers
846 views

Where can I obtain nightly-builds of LibreOffice?

Is there a PPA with nightly builds of LibreOffice? Or some another source that I can add to my sources.list such that I can try nightly-builds of LibreOffice? I know about the various ways to get the ...
6
votes
2answers
3k views

I think a PPA update broke my system. What can I do?

A few weeks ago I installed ppa:ricotz/testing on Ubuntu 11.10. It worked fine then, but since a recent upgrade, trying to launch GTK applications results in lots of cryptic errors. Can I revert all ...
2
votes
1answer
338 views

Rebuilding a Newer Version of a Deb Package

What's the best way to update (through rebuild from source) a Debian/Ubuntu-package to a more recent version? Should I be using apt source in all cases including when I want to publish it as Personal ...
3
votes
2answers
239 views

How to use stdeb with Launchpad?

I know that launchpad has the policy of only allowing upload of source packages on PPA's (as also explained here). Yet, a python .deb package has all the source in it and it seems silly that one ...
8
votes
1answer
5k views

Where is the PPA sources config file?

I have added three PPAs. How do I backup their configuration? Where is the PPA config file?